path: /build/build/macaroni-funtoo-base-seed-0.20250624.package.tar.zst
dependencies: []
compilespec:
  steps:
  - if [ ! -e /etc/passwd ] ; then touch /etc/passwd ; fi && if [ ! -e /etc/shadow
    ] ; then touch /etc/shadow ; fi && if [ ! -e /etc/group ] ; then touch /etc/group
    ; fi && if [ ! -e /etc/gshadow ] ; then touch /etc/gshadow ; fi && if [ ! -d /tmp
    ] ; then mkdir /tmp ; fi && if [ ! -d /var ] ; then mkdir /var ; fi && if [ !
    -d /root ] ; then mkdir /root ; fi && chmod a+x /var && chmod a+rwx /tmp && ls
    -l /etc/ && ls -l /etc/anise && cd /etc/ && ln -s anise/ luet && ls -l /etc/ &&
    cat /etc/luet/luet.yaml && anise repo update
  - anise install virtual-entities/base --force
  - anise repo update && anise upgrade --force && anise install --force system/luet-devkit
    app-misc/yq-go app-misc/jq app-admin/macaronictl dev-util/pkgs-checker kernel/macaroni-lts-sources
    && eselect kernel set 1 && luet cleanup
  - anise miner ri virtual/base virtual/sh && /usr/bin/gcc-config 1 && eselect gcc
    set 1 && mkdir -p /var/lib/portage && epro list && eval 'rm /etc/localtime ||
    true' && ln -s /usr/share/zoneinfo/Europe/Rome /etc/localtime && macaronictl env-update
    && eval 'locale-gen || true' && cd / && rm -rf /luetbuild && mkdir /layer
  env:
  - LUET_YES=true
  - LUET_NOLOCK=true
  - HTTP_TIMEOUT=0
  - GENTOO_MIRRORS="https://distfiles.macaronios.org https://dl.macaronios.org/repos/distfiles
    https://distfiles.macaronios.org/mark-distfiles"
  prelude: []
  image: scratch
  seed: scratch
  package:
    name: macaroni-funtoo-base
    version: "0.20250624"
    category: seed
    hidden: true
    buildtimestamp: 2025-06-24 14:29:12.569730976 +0000 UTC m=+527.014298914
    treedir: /build/packages
  package_dir: /layer
  retrieve: []
  unpack: false
  includes: []
  excludes: []
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/anise-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy:
  - package: null
    image: docker-registry1.mottainai.local:5000/anise-macaroni-funtoo-dev-tree:41a6e23c9b333d9fda841a255002df9fb9dbe7c6c82e8ee4b9b3dc2d74fbbe32
    source: /macaroni-funtoo
    destination: /
  requires_final_images: false
checksums:
  sha256: 46995db4b389b894d512d6d1114535e02adf710a54ca68837fead903aef5c022
compressiontype: zstd
files: []
package_cacheimage: ""
runtime:
  name: macaroni-funtoo-base
  version: "0.20250624"
  category: seed
  hidden: true
